{{- if .Values.librenms.serviceAccount.create -}}
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ include "ska-nmgr-librenms.serviceAccountName" . }}
  labels:
    {{- include "ska-nmgr-librenms.labels" . | nindent 4 }}
  {{- with .Values.librenms.serviceAccount.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
automountServiceAccountToken: {{ .Values.librenms.serviceAccount.automount }}
{{- end }}
